Bug 444004 - We should not ship perl-XML-SAX, install package from RHEL
We should not ship perl-XML-SAX, install package from RHEL
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
520
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Pazdziora
wes hayutin
:
Depends On:
Blocks: 446877
  Show dependency treegraph
 
Reported: 2008-04-24 11:04 EDT by Jan Pazdziora
Modified: 2008-11-05 13:39 EST (History)
0 users

See Also:
Fixed In Version: sat520
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 13:39:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2008-04-24 11:04:01 EDT
Description of problem:

In Satellite 5.1.0, we have
bootstrap/perl-XML-SAX-0.12-7.noarch.rpm. The package is present
both in RHEL 4 (perl-XML-SAX-0.12-7.noarch) and in RHEL 5
(perl-XML-SAX-0.14-5.noarch). We should not ship our
own version.

Version-Release number of selected component (if applicable):

Satellite 5.1.0.

How reproducible:

Deterministic.

Steps to Reproduce:
1. Mount Satellite ISO, cd to it.
2. Run find . -name 'perl-XML-SAX*'
3. Also look into the Satellite channel.
  
Actual results:

./bootstrap/perl-XML-SAX-0.12-7.noarch.rpm

Expected results:

No package found.

Additional info:
Comment 1 Jan Pazdziora 2008-05-21 15:39:47 EDT
This really is a 5.2.0 feature.
Comment 2 Jan Pazdziora 2008-06-18 11:23:09 EDT
Committed to comps:

comps-rhel4-rhnsat52.xml 1.4

Committed to rhelrpms:

rhelrpms.i386/rhelrpms 1.3


Comment 3 Brad Buckingham 2008-08-13 12:52:15 EDT
Mass move to ON_QA.
Comment 4 wes hayutin 2008-08-14 09:29:15 EDT
[root@rlx-2-20 Satellite]# find . -name 'perl-XML-SAX*'

[root@rlx-2-20 Satellite]# pwd

/tmp/mnt/Satellite
Comment 5 wes hayutin 2008-10-21 11:27:54 EDT
[root@rlx-2-18 iso]# ls
EmbeddedDB  install  install.pl  README  Satellite  TRANS.TBL  updates
[root@rlx-2-18 iso]# find . -name 'perl-XML-SAX*'
[root@rlx-2-18 iso]# 
[root@rlx-2-18 iso]# find . -name 'perl-XML-SAX*'
[root@rlx-2-18 iso]# 


Red Hat Network Satellite (v5.2 for Server v5 x86)

    * Details
    * Errata
    * Packages
    * Subscribed Systems

Packages

This channel contains the following packages:
Filter by Package:
	1 - 3 of 3 (7 selected) 	
	Package	Summary
	perl-XML-Generator-0.99-13.el5.noarch 	XML-Generator Perl module
	perl-XML-RSS-1.05-6.el5.noarch 	XML-RSS Perl module
	perl-XML-Writer-0.4-12.el5.noarch 	XML-Writer Perl module
	1 - 3 of 3 (7 selected) 	

release pending
Comment 6 Brandon Perkins 2008-11-05 13:39:58 EST
5.2.0 Satellite is now GA, bugs Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.